Error when importing module

Jun 5, 2014 at 9:32 PM
Edited Jun 5, 2014 at 9:34 PM
I get this error when importing.
I am running as Admin and policy is unrestricted.
However I am able to view a bunch of Functions when i run gcm -module hyperv.

PS D:\users\v-igoza.PHX> import-module 'C:\Program Files\modules\HyperV\HyperV.psd1'
At C:\Program Files\modules\HyperV\Menu.ps1:276 char:79
+               20   {  $SelectedVHD = (Select-List -InputObject $vhd -Property ,@ ...
+                                                                               ~
Missing argument in parameter list.
At C:\Program Files\modules\HyperV\Menu.ps1:1141 char:79
+               20   {  $SelectedVHD = (Select-List -InputObject $vhd -Property ,@ ...
+                                                                               ~
Missing argument in parameter list.
    + CategoryInfo          : ParserError: (:) [], ParentContainsErrorRecordException
    + FullyQualifiedErrorId : MissingArgument

PS D:\users\v-igoza.PHX> Get-ExecutionPolicy
Unrestricted
Oct 1, 2014 at 6:43 AM
Hi, zaytsevi

I have encountered the same error, and it was because of the strict syntax of PowerShell version 3.
This article helped me to solve the problem.

http://pshyperv.codeplex.com/workitem/9620